<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition template="/WEB-INF/base.xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<f:metadata>
		<f:viewParam name="id"
			value="#{projectDetailsController.projectNumber}" />
	</f:metadata>

	<ui:define name="content">
		<h:outputLabel value="#{strings.projects_progress}: " />
		<h:outputLabel value="#{authController.currentUser.projectsProgress}">
			<f:convertNumber type="percent" />
		</h:outputLabel>
		<br />

		<br />
		<h:form>
			<h:link value="#{strings.back}"
				outcome="coordinator_home?faces-redirect=true">
			</h:link>
			<br />

			<br />
			<h3>
				<h:outputLabel value="#{strings.project_details}:" />
			</h3>
			<br />

			<h:outputLabel value="#{strings.project_number}: " />
			<h:outputLabel value="#{projectDetailsController.project.number}" />
			<br />

			<h:outputLabel value="#{strings.progress}: " />
			<h:outputLabel value="#{projectDetailsController.project.progress}">
				<f:convertNumber type="percent" />
			</h:outputLabel>
			<br />

			<h:outputLabel value="#{strings.request_description}: " />
			<h:outputLabel
				value="#{projectDetailsController.project.request.description}" />
			<br />

			<h:outputLabel value="#{strings.description}: "
				for="description_field" />
			<br />
			<h:inputTextarea value="#{projectDetailsController.description}"
				id="description_field">
				<f:ajax event="change"
					listener="#{projectDetailsController.didChangeValue}" />
			</h:inputTextarea>
			<br />

			<br />
			<h3>
				<h:outputLabel value="#{strings.systems}: " />
				<h:commandButton value="#{strings.create_system}"
					action="#{projectDetailsController.addSystem}" />
			</h3>
		</h:form>

		<div>
			<ui:include src="/WEB-INF/coordinator/system_list.xhtml" />
		</div>
	</ui:define>
</ui:composition>